--- old/usr/src/tools/env/illumos.sh	Fri Dec 21 14:59:58 2018
+++ new/usr/src/tools/env/illumos.sh	Fri Dec 21 14:59:58 2018
@@ -81,6 +81,9 @@
 export SHADOW_CCS=gcc7,/usr/gcc/7/bin/gcc,gnu
 export SHADOW_CCCS=gcc7,/usr/gcc/7/bin/g++,gnu
 
+# uncomment to enable smatch
+#export ENABLE_SMATCH=1
+
 # Comment this out to disable support for SMB printing, i.e. if you
 # don't want to bother providing the CUPS headers this needs.
 export ENABLE_SMB_PRINTING=
@@ -273,3 +276,8 @@
 # Set this flag to 'n' to disable the use of 'checkpaths'.  The default,
 # if the 'N' option is not specified, is to run this test.
 #CHECK_PATHS='y'
+
+if [[ "$ENABLE_SMATCH" = "1" ]]; then
+	SMATCHBIN=$CODEMGR_WS/usr/src/tools/proto/root_$MACH-nd/opt/onbld/bin/$MACH/smatch
+	export SHADOW_CCS="$SHADOW_CCS smatch,$SMATCHBIN,smatch"
+fi
